/**
 * 自定义 js 语言包
 */
var REGION_LANG = 'en_us';
var Slang = function(lang) {
	var s = this;
	lang = lang.toLowerCase().replace('-', '_');
	switch(lang){
		case 'zh_cn': // 简体中文
		case 'ru_ru':	// 俄语
			REGION_LANG = lang;
		break;
	}
	s.zh_cn = {
			HELLO_WORLD : '欢迎光临',
			Login_Slogan:'智汇秀，懂智能，更懂您',

			// 一般显示
			HTML_LOGIN_1: '登录',
			HTML_LOGIN_2: '登录',
			HTML_GET_CAPTCHA: '获取验证码',
			HTML_FIND_PASSWORD: '找回密码',
			HTML_DEVICE_ACCOUNT: '水杯账号',
			HTML_DRINK_HISTORY: '饮水历史',
			HTML_TODAY_DRINK_TIMES: '今日饮用(次)',
			HTML_MENU_NAV: '菜单导航',
			HTML_EMAIL: '电子邮箱',
			HTML_PASSWORD: '密码',
			HTML_PHONE_VERIFY: '手机登录',
			HTML_EMAIL_VERIFY: '邮箱登录',
			HTML_NOT_CONNECT: '连接中',
			HTML_SMART_REMIDE: '智能提醒',
			HTML_TEMP_UNIT: '水温单位',
			HTML_Captcha: '验证码',
			HTML_Bind_Return: '绑定成功,点此返回',
			HTML_Finished: '已完成',
			HTML_Please_Bind_Phone: '请绑定您的手机号',
			HTML_SEARCHING_DEVICE: '设备搜索',
			HTML_EDIT_TYPE: '编辑模式',
			HTML_UNIT_CONFIGURE: '单位设置',
			HTML_ONE_KEY_FOR: '一键',
			HTML_CURRENT_VERSION:'当前版本',

			/* nav 导航 */
            NAV_MY_DEVICE: '我的设备',
            NAV_REMIND_SETTING: '提醒设置',
            NAV_MEASURE_UNIT: '单位设置',
            NAV_SYSTEM_INFO: '系统信息',
            NAV_DEBUG_INFO: '调试信息',
            NAV_TMALL_SHOP: '天猫商城',
            NAV_OFFICIAL_WEBSITE: '官方网站',
            NAV_OPERATING_GUIDE: '使用指南',
            NAV_FIRMWARE_UPGRADE: '固件版本',
            NAV_GO_SHOPPING: '去商城看看',
            NAV_DETAIL: '详细',
            NAV_LOGOUT: '注销',

			/* operation 操作 */
            OPR_EDIT: '编辑',
            OPR_BACK: '返回',
            OPR_SAVE: '保存',
            OPR_SAVING: '正在保存',
            OPR_UPGRADE: '更新',
            OPR_CANCEL: '取消',
            OPR_OK: '确定',
            OPR_IGNORE: '忽略此步',
            OPR_CLEAR: '清除',
            OPR_DISBIND: '解绑',

			// 通知
			INFO_OPEN_BLUETOOTH : '请启动蓝牙',
			INFO_TIPS : '温馨提示',
			INFO_BIND_CUP_TIPS : '请用微信扫描水杯型号二维码',
			INFO_BIND_CUP_TIPS_2 : '请扫描S2水杯',
			INFO_UPGRADE_CUP_TIPS : '正在升级水杯，请稍等',
			INFO_GET_UPGRADE_PACKAGE_ERR_TIPS : '获取更新包失败，请检查网络，或联系客服',
			INFO_UPGRADEING_TIPS : '正在升级水杯',
			INFO_UPGRADE_SUCCESS_TIPS : '升级成功',
			INFO_UPGRADE_OVERTIME_TIPS : '升级超时',
			INFO_PROGRESS : '进度',
			INFO_PLEASE_WAIT : '请稍等',
			INFO_CONNECTED : '已连接',
			INFO_SENT : '已发送',
			INFO_SENT_SUCCESS : '发送成功',
			INFO_BLE_SENT_FAIL : '操作失败, 蓝牙未连接',
			INFO_DISBIND_SUCCESS : '解绑成功',
			INFO_SAVE_SUCCESS : '保存成功',
			INFO_SAVE_FAIL_TIPS : '保存失败，请检查网络',
			INFO_CHECK_NETWORK_TIPS : '请检查网络',
			INFO_KEEP_WARM_SENT : '已发保温',
			INFO_NEW_VER_FOUND : '有更新',
			INFO_NEEDNT_UPGRADE_TIPS : '当前是最新版本，无需升级',
			INFO_CONFIRM_UPGRADE_TIPS : '发现新版本，立即更新？',
			INFO_CONFIRM_SET_TEMP_AT_TIPS : '是否设置保温在',
			INFO_LOADING : '加载中',
			INFO_UPDATING : '正在更新',
			INFO_UPDATE_SUCCESS : '更新成功',
			INFO_UPDATE_FAIL : '更新失败',
			INFO_UNBINDING : '正在解绑',
			INFO_CONNECT_FAIL_TITLE : '连接失败',
			INFO_CONNECT_FAIL_TIPS : '1.请确保水杯在10米范围内  2.请重启手机蓝牙  3.请重启APP',
			INFO_TIME_LEFT : '剩余时间',
			INFO_COMPLETED: '已完成',
            INFO_LOADING: '数据加载中',
            INFO_Enter_Phone: '请输入手机号',
            INFO_Enter_Email: '请输入正确的邮箱',
            INFO_Enter_Captcha: '请输入验证码',
            INFO_Enter_Password: '请输入密码',
            INFO_Phone_Is_Required: '手机号不能为空',
            INFO_Getting: '正在获取',
            INFO_Captcha_Required: '验证码不能为空',
            INFO_Captcha_Err: '验证码错误',
            INFO_Password_Err: '密码错误',
            INFO_Go_Back: '返回',
            INFO_Send_Success: '发送成功',
            INFO_ENTER_NAME: '请输入名称',
            INFO_LOGIN_TIPS: '请先登录',
            INFO_BIND_DEVICE_TIPS: '请绑定设备',
			INFO_LOGGING_IN_TIPS:'登录中...',
			INFO_TARGET_TEMP_COMPARE_ALERT: '预先加热温度不应低于保温温度!',

			// 提示
			TIP_CLICK_REFRESH_DEVICE: '点击刷新',
			TIP_SEARCHING_DEVICE: '正在搜索, 点击刷新',
			TIP_SEARCH_NO_DEVICE: '若无法搜索到设备: 1.请检查设备是否被激活  2.重新开启手机蓝牙  3.退出程序重新进入',
			TIP_INPUT_PHONE_NUMBER: '请输入手机号码',
			TIP_INPUT_EMAIL: '请输入您的邮箱',
			TIP_INPUT_CAPTCHA: '请输入验证码',
			TIP_TURN_ON_BLE: '请打开蓝牙',
			TIP_INITING: '正在初始化...',
			TIP_CHANGE_LOGIN_METHOD: '使用其他登录方式',

			/* usage 使用指南 */
			USAGE_PAGE_TITLE: '使用指南',
			USAGE_PAGE_BACKWARD: '返回',
			USAGE_USAGE_TITLE: 'S2水杯使用流程',
			USAGE_USAGE_STEP_1: '步骤1 打开手机蓝牙。',
			USAGE_USAGE_STEP_2: '步骤2 搜索智能水杯。',
			USAGE_USAGE_STEP_3: '步骤3 点击链接。',
			USAGE_USAGE_STEP_4: '步骤4 获取水杯温度等状态。',
			USAGE_USAGE_STEP_5: '步骤5 调节控温。',
			USAGE_FAQ_TITLE: '常见问题解决',
			USAGE_FAQ_TITLE_1: '搜索不到智汇秀设备?',
			USAGE_FAQ_TIP_1: '请检测手机蓝牙是否开启，并且水杯是否在手机附近。',
			USAGE_FAQ_TITLE_2: '已绑定水杯，但是连接不成功?',
			USAGE_FAQ_TIP_2: '重新启动蓝牙，重新打开APP尝试。',

			/* mode 模式*/
			MODE_DRINK_WATER: '饮用水',
			MODE_COFFEE: '咖啡',
			MODE_MILK_TEA: '奶茶',
			MODE_BLACK_TEA: '红茶',
			MODE_GREEN_TEA: '绿茶',
			MODE_PROTEIN_POWDER: '蛋白粉',
			MODE_JUICE: '果汁',
			MODE_BABY_MILK: '婴儿奶',
			MODE_MILK: '牛奶',
			MODE_CUSTOM: '自定义',

			/* form 表单 */
			FORM_NAME: '饮品名称',
			FORM_TARGET_TEMP: '目标温度',
			FORM_TARGET_TEMP_M: '预先加热',
			FORM_NICKNAME: '昵称',
			FORM_CONTENT: '内容',
			FORM_CENTIGRADE: '摄氏度(℃)',
			FORM_FAHRENHEIT: '华氏度(℉)',
			FORM_MILILITER: '毫升(ml)',
			FORM_OUNCE: '盎司(oz)',
			FORM_NOTICE_INTERVAL: '提醒间隔',
			FORM_RENOTICE_INTERVAL: '无喝水提醒',
			FORM_MINUTES: '分钟',
			FORM_INFO_APP_VER:'应用版本',

			/* STAT 状态 */
		    STAT_IDLE : '已连接',
		    STAT_WORKING : '控温中',
		    STAT_NOT_CONNECT : '连接中',
	};
	s.en_us = {
			HELLO_WORLD : 'hellow world',
			Login_Slogan: 'Smart & Sweet.',

			// 一般显示
			HTML_LOGIN_1: 'Login',
			HTML_LOGIN_2: 'Login',
			HTML_GET_CAPTCHA: 'Get captcha',
			HTML_FIND_PASSWORD: 'Get password',
			HTML_DEVICE_ACCOUNT: 'Mug',
			HTML_DRINK_HISTORY: 'Drink History',
			HTML_TODAY_DRINK_TIMES: 'Today Drink',
			HTML_MENU_NAV: 'Menu',
			HTML_EMAIL: 'Email',
			HTML_PASSWORD: 'Password',
			HTML_PHONE_VERIFY: 'Sign In With Mobile',
			HTML_EMAIL_VERIFY: 'Sign In With Email',
			HTML_NOT_CONNECT: 'Disconnected',
			HTML_SMART_REMIDE: 'Smart Reminder',
			HTML_TEMP_UNIT: 'Temperature Unit',
			HTML_Captcha: 'Captcha',
			HTML_Bind_Return: 'Bound Successfully. Click To Back.',
			HTML_Finished: 'Done',
			HTML_Please_Bind_Phone: 'Please Bind To Your Phone',
			HTML_SEARCHING_DEVICE: 'Searching Device',
			HTML_EDIT_TYPE: 'Save A Preset',
			HTML_UNIT_CONFIGURE: 'Unit Settings',
			HTML_ONE_KEY_FOR: 'One Touch For ',
			HTML_CURRENT_VERSION:'Cur. Ver.',

			/* nav 导航 */
            NAV_MY_DEVICE: 'My Device',
            NAV_REMIND_SETTING: 'Reminder Settings',
            NAV_MEASURE_UNIT: 'Unit Settings',
            NAV_SYSTEM_INFO: 'System',
            NAV_DEBUG_INFO: 'Debugging Information',
            NAV_TMALL_SHOP: 'Tmall',
            NAV_OFFICIAL_WEBSITE: 'Official Website',
            NAV_OPERATING_GUIDE: 'Customer Support',
            NAV_FIRMWARE_UPGRADE: 'Firmware Version',
            NAV_GO_SHOPPING: 'Go To Mall',
            NAV_DETAIL: 'Details',
            NAV_LOGOUT: 'Logout',

			/* operation 操作 */
            OPR_EDIT: 'Edit',
            OPR_BACK: 'Back',
            OPR_SAVE: 'Save',
            OPR_SAVING: 'Saving',
            OPR_UPGRADE: 'Update',
            OPR_CANCEL: 'Cancel',
            OPR_OK: 'OK',
            OPR_IGNORE: 'Ignore this step',
            OPR_CLEAR: 'Clear',
            OPR_DISBIND: 'Disbind',

			// 通知
			INFO_OPEN_BLUETOOTH : 'Please turn on Bluetooth',
			INFO_TIPS : 'Tips',
			INFO_BIND_CUP_TIPS : 'Please scan device QR code with Wechat',
			INFO_BIND_CUP_TIPS_2 : 'Please scan SmartShowS2',
			INFO_UPGRADE_CUP_TIPS : 'The mug is upgrading, please wait!',
			INFO_GET_UPGRADE_PACKAGE_ERR_TIPS : 'Failed to get the upgrading package, please check the network or contact the customer service',
			INFO_UPGRADEING_TIPS : 'Upgrading',
			INFO_UPGRADE_SUCCESS_TIPS : 'Upgraded successfully!',
			INFO_UPGRADE_OVERTIME_TIPS : 'The upgradation has timed out',
			INFO_PROGRESS : 'Progress',
			INFO_PLEASE_WAIT : 'Please wait',
			INFO_CONNECTED : 'Connected',
			INFO_SENT : 'Sent',
			INFO_SENT_SUCCESS : 'Sent successfully',
			INFO_BLE_SENT_FAIL : 'Failed, bluetooth is not connected',
			INFO_DISBIND_SUCCESS : 'Disbound successfully',
			INFO_SAVE_SUCCESS : 'Saved successfully',
			INFO_SAVE_FAIL_TIPS : 'Failed to save. Please check the network',
			INFO_CHECK_NETWORK_TIPS : 'Please check the network',
			INFO_KEEP_WARM_SENT : 'Set heat presevation successfully',
			INFO_NEW_VER_FOUND : 'Here is an upgradation',
			INFO_NEEDNT_UPGRADE_TIPS : 'It\'s the lateset version. No need to upgrade',
			INFO_CONFIRM_UPGRADE_TIPS : 'Found new version, update now?',
			INFO_CONFIRM_SET_TEMP_AT_TIPS : 'To hold the temperature at ',
			INFO_LOADING : 'Loading',
			INFO_UPDATING : 'Updating',
			INFO_UPDATE_SUCCESS : 'Update successfully',
			INFO_UPDATE_FAIL : 'Update failed',
			INFO_UNBINDING : 'Disbinding',
			INFO_CONNECT_FAIL_TITLE : 'Connect failed',
			INFO_CONNECT_FAIL_TIPS : '1.Please keep the mug in 10 meters 2.Please restart the phone Bluetooth 3.Please restart the APP.',
			INFO_TIME_LEFT : 'Rest of time',
	        INFO_COMPLETED: 'Done',
	        INFO_LOADING: 'Loading',
	        INFO_Enter_Phone: 'Input phone number.',
	        INFO_Enter_Email: 'Input correct email.',
	        INFO_Enter_Captcha: 'Please input captcha.',
	        INFO_Enter_Password: 'Please input password.',
	        INFO_Phone_Is_Required: 'Your phone number is required.',
	        INFO_Getting: 'Getting',
	        INFO_Captcha_Required: 'Captcha is required.',
	        INFO_Captcha_Err: 'Captcha Error',
	        INFO_Password_Err: 'Password Error',
	        INFO_Go_Back: 'Back',
	        INFO_Send_Success: 'Sent successfully.',
	        INFO_ENTER_NAME: 'Please enter name.',
	        INFO_LOGIN_TIPS: 'Please login',
	        INFO_BIND_DEVICE_TIPS: 'Please bind device',
			INFO_LOGGING_IN_TIPS:'Logging in...',
			INFO_TARGET_TEMP_COMPARE_ALERT: 'The Pre-Heating Temperature should not be lower than the Holding-Temp!',

			// 提示
			TIP_CLICK_REFRESH_DEVICE: 'Click to refresh',
			TIP_SEARCHING_DEVICE: 'Searching.Click to reload',
			TIP_SEARCH_NO_DEVICE: 'If you fail to search the device, please: 1.check whether the device has been activated 2.turn on the Bluetooth again 3. exit and reaccess the procedure',
			TIP_INPUT_PHONE_NUMBER: 'Please input phone number',
			TIP_INPUT_EMAIL: 'Please input your email',
			TIP_INPUT_CAPTCHA: 'Please input captcha',
			TIP_TURN_ON_BLE: 'Please turn on Bluetooth',
			TIP_INITING: 'Initializing...',
			TIP_CHANGE_LOGIN_METHOD: 'Use another way',

			/* usage 使用指南 */
			USAGE_PAGE_TITLE: 'Customer Support',
			USAGE_PAGE_BACKWARD: 'Back',
			USAGE_USAGE_TITLE: 'S2 mug use process',
			USAGE_USAGE_STEP_1: 'Step 1 Turn on the phone’s Bluetooth.',
			USAGE_USAGE_STEP_2: 'Step 2 Search for smart mugs.',
			USAGE_USAGE_STEP_3: 'Step 3 Click the link.',
			USAGE_USAGE_STEP_4: 'Step 4 Obtain data like drinking temperature.',
			USAGE_USAGE_STEP_5: 'Step 5 Adjust temperature.',
			USAGE_FAQ_TITLE: 'Frequently Asked Questions',
			USAGE_FAQ_TITLE_1: 'Failed to find any SmartShow devices?',
			USAGE_FAQ_TIP_1: 'Please check whether the phone’s Bluetooth has been turned on and the mug is near the phone.',
			USAGE_FAQ_TITLE_2: 'The mug has been bound successfully but failed to connected to the phone?',
			USAGE_FAQ_TIP_2: 'Try again to turn on the Bluetooth and the APP.',

			/* mode 模式*/
			MODE_DRINK_WATER: 'Water',
			MODE_COFFEE: 'Coffee',
			MODE_MILK_TEA: 'Milk Tea',
			MODE_BLACK_TEA: 'Black Tea',
			MODE_GREEN_TEA: 'Green Tea',
			MODE_PROTEIN_POWDER: 'Protein',
			MODE_JUICE: 'Fruit Juice',
			MODE_BABY_MILK: 'Baby Milk',
			MODE_MILK: 'Milk',
			MODE_CUSTOM: 'Custom',

			/* form 表单 */
			FORM_NAME: 'Preset Name',
			FORM_TARGET_TEMP: 'Temperature',
			FORM_TARGET_TEMP_M: 'Pre-Heating',
			FORM_NICKNAME: 'Nickname',
			FORM_CONTENT: 'Content',
			FORM_CENTIGRADE: 'Celsius(℃)',
			FORM_FAHRENHEIT: 'Fahrenheit(℉)',
			FORM_MILILITER: 'Mililiter(ml)',
			FORM_OUNCE: 'Ounce(oz)',
			FORM_NOTICE_INTERVAL: 'Notice Interval',
			FORM_RENOTICE_INTERVAL: 'Notice Again',
			FORM_MINUTES: 'min(s)',
			FORM_INFO_APP_VER:'APP Version',

			/* STAT 状态 */
		    STAT_IDLE : 'Connected',
		    STAT_WORKING : 'Controlling',
		    STAT_NOT_CONNECT : 'Connecting',
	};
	s.ru_ru = {
			HELLO_WORLD : 'Добро пожаловать',
			Login_Slogan: 'Умный и милый',

			// 一般显示
			HTML_LOGIN_1: 'Логин',
			HTML_LOGIN_2: 'Логин',
			HTML_GET_CAPTCHA: 'Получить код',
			HTML_FIND_PASSWORD: 'Получить Пароль',
			HTML_DEVICE_ACCOUNT: 'Кружка',
			HTML_DRINK_HISTORY: 'Потребления',
			HTML_TODAY_DRINK_TIMES: 'Потребление',
			HTML_MENU_NAV: 'Навигатор',
			HTML_EMAIL: 'Почты',
			HTML_PASSWORD: 'Пароль',
			HTML_PHONE_VERIFY: 'Телефон Проверка',
			HTML_EMAIL_VERIFY: 'Почты Проверка',
			HTML_NOT_CONNECT: 'Отключен ',
			HTML_SMART_REMIDE: 'Напоминания',
			HTML_TEMP_UNIT: 'Единица измерения температуры',
			HTML_Captcha: 'Код',
			HTML_Bind_Return: 'Привязка прошла успешно. Нажмите, чтобы вернуться.',
			HTML_Finished: 'Готово',
			HTML_Please_Bind_Phone: 'Пожалуйста, привяжите свой телефон',
			HTML_SEARCHING_DEVICE: 'Поиск устройства',
			HTML_EDIT_TYPE: 'Изменить тип',
			HTML_UNIT_CONFIGURE: 'Единица измерения',
			HTML_ONE_KEY_FOR: 'Прикоснитесь для ',
			HTML_CURRENT_VERSION:'Текущая',

			/* nav 导航 */
            NAV_MY_DEVICE: 'Мое устройство',
            NAV_REMIND_SETTING: 'Настройки напоминаний',
            NAV_MEASURE_UNIT: 'Единица измерения',
            NAV_SYSTEM_INFO: 'Система',
            NAV_DEBUG_INFO: 'Отладочная информация',
            NAV_TMALL_SHOP: 'Tmall',
            NAV_OFFICIAL_WEBSITE: 'Официальный веб-сайт',
            NAV_OPERATING_GUIDE: 'Руководство пользователя',
            NAV_FIRMWARE_UPGRADE: 'Версии прошивки',
            NAV_GO_SHOPPING: 'В магазин',
            NAV_DETAIL: 'Детали',
            NAV_LOGOUT: 'Выход',

			/* operation 操作 */
            OPR_EDIT: 'Редактировать',
            OPR_BACK: 'Назад',
            OPR_SAVE: 'Сохранить',
            OPR_SAVING: 'Сохранение',
            OPR_UPGRADE: 'Обновить',
            OPR_CANCEL: 'Отмена',
            OPR_OK: 'OK',
            OPR_IGNORE: 'Игнорировать этот шаг',
            OPR_CLEAR: 'Очистить',
            OPR_DISBIND: 'Отвязать',

			// 通知
			INFO_OPEN_BLUETOOTH : 'Пожалуйста, включите Bluetooth',
			INFO_TIPS : 'Советы',
			INFO_BIND_CUP_TIPS : 'Пожалуйста, сканируйте QR-код устройства',
			INFO_BIND_CUP_TIPS_2 : 'Пожалуйста, сканируйте SmartShowS2',
			INFO_UPGRADE_CUP_TIPS : 'Идет обновление ПО кружки, пожалуйста, подождите!',
			INFO_GET_UPGRADE_PACKAGE_ERR_TIPS : 'Не удалось получить пакет обновления, пожалуйста, проверьте подключение к сети или обратитесь в поддержку',
			INFO_UPGRADEING_TIPS : 'Идет обновление ПО',
			INFO_UPGRADE_SUCCESS_TIPS : 'Обновление прошло успешно!',
			INFO_UPGRADE_OVERTIME_TIPS : 'Истек срок обновления',
			INFO_PROGRESS : 'В процессе',
			INFO_PLEASE_WAIT : 'Пожалуйста, подождите',
			INFO_CONNECTED : 'Подключен',
			INFO_SENT : 'Отправлено',
			INFO_SENT_SUCCESS : 'Успешно отправлено',
			INFO_BLE_SENT_FAIL : 'Соединение не удалось, так как Bluetooth отключен',
			INFO_DISBIND_SUCCESS : 'Устройство успешно отсоединено',
			INFO_SAVE_SUCCESS : 'Сохранение прошло успешно',
			INFO_SAVE_FAIL_TIPS : 'Не удалось сохранить. Пожалуйста, проверьте подключение к сети',
			INFO_CHECK_NETWORK_TIPS : 'Пожалуйста, проверьте подключение к сети',
			INFO_KEEP_WARM_SENT : 'Защита от перегрева установлена успешно',
			INFO_NEW_VER_FOUND : 'Доступно обновление',
			INFO_NEEDNT_UPGRADE_TIPS : 'Установлена новейшая версия. Обновление не требуется',
			INFO_CONFIRM_UPGRADE_TIPS : 'Найдена новая версия, обновить?',
			INFO_CONFIRM_SET_TEMP_AT_TIPS : 'Сохранять температуру напитка на уровне ',
			INFO_LOADING : 'Идет загрузка',
			INFO_UPDATING : 'Идет обновление',
			INFO_UPDATE_SUCCESS : 'Обновление прошло успешно',
			INFO_UPDATE_FAIL : 'Не удалось обновить',
			INFO_UNBINDING : 'Устройство отсоединяется',
			INFO_CONNECT_FAIL_TITLE : 'Подключение не удалось',
			INFO_CONNECT_FAIL_TIPS : '1. Пожалуйста, расположите кружку в радиусе 10 метров. 2.Перезапустите Bluetooth на телефоне. 3. Перезапустите приложение.',
			INFO_TIME_LEFT : 'Осталось',
	        INFO_COMPLETED: 'Завершена',
	        INFO_LOADING: 'Загрузка',
	        INFO_Enter_Phone: 'Введите номер телефона.',
	        INFO_Enter_Email: 'Введите правильный адрес электронной почты.',
	        INFO_Enter_Captcha: 'Пожалуйста, введите защитный код.',
	        INFO_Enter_Password: 'Пожалуйста, введите защитный пароль.',
	        INFO_Phone_Is_Required: 'Необходимо ввести телефонный номер.',
	        INFO_Getting: 'Получаем',
	        INFO_Captcha_Required: 'Необходимо ввести защитный код.',
	        INFO_Captcha_Err: 'Неверный защитный код',
	        INFO_Password_Err: 'Неверный пароль',
	        INFO_Go_Back: 'Назад',
	        INFO_Send_Success: 'Успешно отправлено.',
	        INFO_ENTER_NAME: 'Пожалуйста, введите свое имя.',
	        INFO_LOGIN_TIPS: 'PПожалуйста, авторизуйтесь.',
	        INFO_BIND_DEVICE_TIPS: 'Пожалуйста, подсоедините устройство.',
			INFO_LOGGING_IN_TIPS:'Идет процесс авторизации…',
			INFO_TARGET_TEMP_COMPARE_ALERT: 'Температура подогрева не может быть ниже, чем установленная поддерживаемая температура напитка!',

			// 提示
			TIP_CLICK_REFRESH_DEVICE: 'Нажмите, чтобы обновить',
			TIP_SEARCHING_DEVICE: 'Идет поиск. Нажмите, чтобы обновить',
			TIP_SEARCH_NO_DEVICE: 'Если вам не удается обнаружить устройство, пожалуйста: 1. Проверьте, активировано ли устройство 2. Перезапустите Bluetooth 3. Выйдите из приложения и перезапустите поиск',
			TIP_INPUT_PHONE_NUMBER: 'Введите номер телефона',
			TIP_INPUT_EMAIL: 'Введите адрес электронной почты',
			TIP_INPUT_CAPTCHA: 'Введите защитный код',
			TIP_TURN_ON_BLE: 'Пожалуйста, включите Bluetooth',
			TIP_INITING: 'Начинаем…',
			TIP_CHANGE_LOGIN_METHOD: 'Используйте другой способ авторизации',

			/* usage 使用指南 */
			USAGE_PAGE_TITLE: 'Руководство пользователя',
			USAGE_PAGE_BACKWARD: 'Назад',
			USAGE_USAGE_TITLE: 'Используется кружка S2',
			USAGE_USAGE_STEP_1: 'Шаг 1: Включите Bluetooth в телефоне.',
			USAGE_USAGE_STEP_2: 'Шаг 2: Запустите обнаружение умных кружек.',
			USAGE_USAGE_STEP_3: 'Шаг 3: Нажмите на ссылку.',
			USAGE_USAGE_STEP_4: 'Шаг 4: Получите данные о температуре напитка.',
			USAGE_USAGE_STEP_5: 'Шаг 5: Настройте температуру.',
			USAGE_FAQ_TITLE: 'Часто задаваемые вопросы',
			USAGE_FAQ_TITLE_1: 'Не удалось обнаружить устройство SmartShow?',
			USAGE_FAQ_TIP_1: 'Пожалуйста, убедитесь, что на телефоне включен Bluetooth и кружка находится рядом с телефоном.',
			USAGE_FAQ_TITLE_2: 'Кружка была успешно привязана, но подключение к телефону не удалось?',
			USAGE_FAQ_TIP_2: 'Перезапустите Bluetooth и приложение.',

			/* mode 模式*/
			MODE_DRINK_WATER: 'Вода',
			MODE_COFFEE: 'Кофе',
			MODE_MILK_TEA: 'Чай с молоком',
			MODE_BLACK_TEA: 'Черный чай',
			MODE_GREEN_TEA: 'Зеленый чай',
			MODE_PROTEIN_POWDER: 'Протеиновый напиток',
			MODE_JUICE: 'Фруктовый сок',
			MODE_BABY_MILK: 'Детское молоко',
			MODE_MILK: 'Молоко',
			MODE_CUSTOM: 'Свой вариант',

			/* form 表单 */
			FORM_NAME: 'Имя',
			FORM_TARGET_TEMP: 'Температура',
			FORM_TARGET_TEMP_M: 'Подогрев',
			FORM_NICKNAME: 'Ник',
			FORM_CONTENT: 'Содержимое',
			FORM_CENTIGRADE: 'Градусы Цельсия(℃)',
			FORM_FAHRENHEIT: 'Градусы Фаренгейта(℉)',
			FORM_MILILITER: 'Миллилитры(ml)',
			FORM_OUNCE: 'Унции(oz)',
			FORM_NOTICE_INTERVAL: 'Интервал между уведомлениями',
			FORM_RENOTICE_INTERVAL: 'Уведомить снова',
			FORM_MINUTES: 'минут',
			FORM_INFO_APP_VER:'Версия приложения',

			/* STAT 状态 */
		    STAT_IDLE : 'Соединение',
		    STAT_WORKING : 'Контроль включен',
		    STAT_NOT_CONNECT : 'Соединение',
	};

	return s[REGION_LANG];
};
