var IS_SHOWING_NUM = false; /* 是否正在点击查看饮水历史数值 */
var HAS_GOT_HISTORY = false;
var HISTORY_RAW_DATA = [];

// 初始化饮水历史
function init_drink_data(){
	HISTORY_RAW_DATA = config('drink_raw_data');
	// 获取默认饮水数据
	if(!$api.isArray(HISTORY_RAW_DATA)){
		HISTORY_RAW_DATA = [];
	}else{
		//删除15天前的数据
		expire_drink_data();
	}
	
	if(!HAS_GOT_HISTORY){
		assign_drink_data(HISTORY_RAW_DATA);
	}
	
	var user_info = config('user_info');
	if(user_info){
		get_http_drink_data(user_info);
		var upload_drink_data = get_upload_drink_data();
		if(upload_drink_data.length>0){
			set_http_drink_data(user_info, upload_drink_data);
		}
	}
}

// 清空15天前的本地数据和缓存数据
function expire_drink_data(){
	var expire_timestamp = get_zero_timestamp()-86400*15;
	var raw_data = [];
	for(var i=0; i<HISTORY_RAW_DATA.length; i++){
		if(HISTORY_RAW_DATA[i].drink_time>expire_timestamp){
			raw_data.push(HISTORY_RAW_DATA[i]);
		}
	}
	HISTORY_RAW_DATA = raw_data;
	config('drink_raw_data', HISTORY_RAW_DATA);
	
	var update_load_data = get_upload_drink_data();
	var update_load_data_t = [];
	for(var i=0; i<update_load_data.length; i++){
		if(update_load_data[i].drink_time>expire_timestamp){
			update_load_data_t.push(update_load_data[i]);
		}
	}
	set_upload_drink_data(update_load_data_t);
}

// 获取服务器的饮水数据
function get_http_drink_data(user_info){
	do_post('http://s2ble.smart-show.com/api/device/get_data/', {
        smart_id: user_info.smart_id,
        access_token: user_info.smart_access_token,
        info: 'history2'
    },function(ret, err){
		if(ret && ret.errcode==0 && ret.history){
			HAS_GOT_HISTORY = true;
			HISTORY_RAW_DATA = ret.history;
			assign_drink_data(HISTORY_RAW_DATA);
		}
		if(err){
			setTimeout(function(){
				get_http_drink_data(user_info);
			}, 3000);
		}
	});
}

// 提交服务器的饮水数据
function set_http_drink_data(user_info, upload_drink_data){
	do_post('http://s2ble.smart-show.com/api/device/set_data',{
		smart_id: user_info.smart_id,
        access_token: user_info.smart_access_token,
        drink_data2: encodeURI($api.jsonToStr(upload_drink_data))
	}, function(ret){
		if(ret.errcode==0){
			set_upload_drink_data([]);
			get_http_drink_data(user_info);
		}
	});
}


function get_upload_drink_data(){
	var upload_drink_data = $api.strToJson($api.getStorage('upload_drink_data'));
	if($api.isArray(upload_drink_data)) return upload_drink_data;
	else return [];
}

function set_upload_drink_data(upload_drink_data){
	if(!$api.isArray(upload_drink_data)) upload_drink_data = [];
	$api.setStorage('upload_drink_data',$api.jsonToStr(upload_drink_data));
}

// 处理原始数据
function parse_drink_data(raw_data){
	var zero_timestamp = get_zero_timestamp();
	var drink_history = [];
	for(var i=0; i<14; i++){
		if(!drink_history[i]){
			drink_history[i] = {time:zero_timestamp-i*86400, drink_data:0, times:0};
		} 
		for(var j=0; j<raw_data.length; j++){
			if(drink_history[i].time<=raw_data[j].drink_time && drink_history[i].time+86400>raw_data[j].drink_time){
				drink_history[i].drink_data += parseInt(raw_data[j].drink_data);
				drink_history[i].times++;
			}
		}
	}
	var ret = [];
	for(var i=0; i<14; i++){
		ret[i] = {};
		var d = new Date(drink_history[i].time*1000);
		ret[i].drink_time = d.getDate();
		ret[i].drink_data = drink_history[i].drink_data;
		ret[i].times = drink_history[i].times;
	}
	return ret;
}

// 更新并显示数据
function assign_drink_data(raw_data){
	if(!$api.isArray(raw_data)) return;
	// 更新数据
	config('drink_raw_data', raw_data);
	
	var drink_data = parse_drink_data(raw_data);
	
	$api.html($api.dom('.drink_times'), drink_data[0].times);
	
	var max_num = 0;
    var percentage = [];
    for (var i = 0; i < drink_data.length && i<14; i++) {  //获取最大值
        percentage[i] = parseInt(drink_data[i].drink_data);
        if (max_num < percentage[i]) {
            max_num = percentage[i];
        }
    }
    var is_ounce = config('is_ounce');
    var cap_unit = 'ml';
    if(is_ounce){
    	cap_unit = 'oz';
    }
	var html = '';
	
	switch(api.winName){
		case 'index':
			for(var i=0; i<drink_data.length && i<7; i++){
				var drink_height = percentage[i] / max_num * 100;
				if(drink_height!=0)drink_height+=10;
			    if(drink_height>90 && drink_height<=100)drink_height=90;
			    if(drink_height>100)drink_height=100;
			    
			    var full_class = drink_height==100?'f':'';
			    
			    var date = drink_data[i].drink_time<10?'0'+drink_data[i].drink_time:drink_data[i].drink_time;
		
				html = '<div class="item" onclick="show_drink_num('+(drink_data.length-8-i)+')" >'
					+'<div class="txt-top-s2 '+(i==0?'txt-top-today-s2':'')+'">'+parse_capicity_text(drink_data[i].drink_data, is_ounce)+cap_unit+'</div>'
					+'<div class="bg"><div class="val '+full_class+'" style="height:'+drink_height+'%"></div></div><div class="txt">'+date+'</div>'
					+'</div>' + html;
			}
			html += '<div class="clear"></div>';
			$api.html($api.byId('history_index'), html);
		break;
		
		case 'history':
			for(var i=0; i<drink_data.length && i<14; i++){
				var drink_height = percentage[i] / max_num * 100;
				if(drink_height!=0)drink_height+=10;
			    if(drink_height>90 && drink_height<=100)drink_height=90;
			    if(drink_height>100)drink_height=100;
			    
			    var full_class = drink_height==100?'f':'';
			    
			    var date = drink_data[i].drink_time<10?'0'+drink_data[i].drink_time:drink_data[i].drink_time;
			    
				html = '<div class="item" onclick="show_drink_num('+(drink_data.length-1-i)+')" >'
					+'<div class="txt-top '+(i==0?'txt-top-today':'')+'">'+parse_capicity_text(drink_data[i].drink_data, is_ounce)+cap_unit+'</div>'
					+'<div class="bg"><div class="val '+full_class+'" style="height:'+drink_height+'%"></div></div><div class="txt">'+date+'</div>'
					+'</div>' + html;
			}
			html += '<div class="clear"></div>';
			$api.html($api.byId('drink_history_info'), html);
		break;
		
	}
	
}

