function do_post(url, params,cb){
	api.ajax({
	    url: url,
	    method: 'post',
	    data: {
	        values: params
	    },
	    timeout: 10,
	}, function(ret, err) {
		typeof cb == "function" && cb(ret, err);
	});
}

/**
 * 设置或获取设置值 
 * @param {Object} name 设置名称： 如  name1.name2.name3
 * @param {Object} val
 */
function config(name, val){
	var data = {};
	var strdata = $api.getStorage('__CONFIG__');
    if(!strdata){
    	strdata = '{}';
    }
    var data = $api.strToJson(strdata);
    
    if(typeof val=="undefined"){
    	try{
    		if(typeof name=="undefined"){
    			ret = data;
    		}else{
    			ret = eval('data.'+name);
    		}
    		
    	}catch(e){
    		ret = '';
    	}
    	
    	return ret;
    }else{
    	val = evalData(val);
    	eval('data.'+name+'=val');
		$api.setStorage('__CONFIG__',$api.jsonToStr(data));
    }
}

// 把 字符串 转成 实体数值;
function evalData(str){
	var data;
	switch(typeof str){
		case 'number':
		case'boolean':
			eval('data='+str+'');
			break;
		case 'string':
			eval('data="'+str+'"');
			break;
		case 'object':
			eval('data='+JSON.stringify(str)+';');
			break;
	}
	return data;
}

function remove_config(){
	$api.setStorage('__CONFIG__',$api.jsonToStr({}));
//	alert('removed config');
}

function send_command_to_ble_device(cmd, is_update){
	if(IS_STOP_TO_SEND)return;
	write_log('>> send: '+cmd);
	send_string_to_ble_device(cmd, is_update);
}

function check_device_info(){
	var device_info = config('device_info');
	if( !device_info ){
		set_index_var('SCAN_STATE','on');
		open_page('search');
	}else{
		set_index_var('INIT_DEVICE_VERSION', device_info.version);
		set_index_var('device_uuid_g', device_info.mac);
		start_index_connect(device_info.mac);
	}
}

function set_index_var(key, val){
  	api.sendEvent({
        name:'set_index_var',
        extra: {
	        key: key,
	        val: val
	    }
    });
}

function run_index_function(code){
  	api.sendEvent({
        name:'run_index_function',
        extra: {
	        code: code
	    }
    });
}

function stop_index_connect(){
  	api.sendEvent({
        name:'stop_index_connect'
	});
}

function start_index_connect(mac){
  	api.sendEvent({
        name:'start_index_connect',
        extra: {
	        mac: mac
	    }
    });
}
  
function send_index_command(command){
  	api.sendEvent({
        name:'send_index_command',
        extra: {
	        command: command
	    }
    });
}

function get_default_drink_types(){
	return [
	      {num:0, name: SLANG.MODE_DRINK_WATER, temp:55},
	      {num:1, name: SLANG.MODE_COFFEE, temp:75},
	      {num:2, name: SLANG.MODE_MILK_TEA, temp:70},
	      {num:3, name: SLANG.MODE_BLACK_TEA, temp:70},
	      {num:4, name: SLANG.MODE_GREEN_TEA, temp:65},
	      {num:5, name: SLANG.MODE_PROTEIN_POWDER, temp:50},
	      {num:6, name: SLANG.MODE_JUICE, temp:35},
	      {num:7, name: SLANG.MODE_BABY_MILK, temp:50},
	      {num:8, name: SLANG.MODE_MILK, temp:50},
	      {num:9, name: SLANG.MODE_CUSTOM, temp:55}
	];
}

function get_deviceId_last_4_letter (deviceId){
	var res_uuid;
	if (api.systemType == 'ios') {
	  res_uuid = deviceId.substr(deviceId.length - 4);
	} else {
	  var uuid = deviceId.split(':');
	      res_uuid = uuid[4] + uuid[5];
	    }
	    return res_uuid;
}

function get_version_by_name(name){
	if(name == 'S2 i-Cup Plus'){
		return 1;
	}else if(name == 'S2 i-Touch'){
		return 2;
	}else if(name == 'S2 i-Touch Plus'){
		return 3;
	}else {
		return 3;
//		alert('device\'s name err！');
	}
}

function get_name_by_version(version){
	if(version == 1){
		return 'S2 i-Cup Plus';
	}else if(version == 2){
		return 'S2 i-Touch';
	}else if(version == 3){
		return 'S2 i-Touch Plus';
	}else {
//		alert('device\'s name err！');
	}
}

function device_id_by_pps(pps){
	return 'VISAD010' + get_version_by_name(pps.name) + '170000S' + get_deviceId_last_4_letter(pps.uuid);
}

// 字符串转16进制
function stringToHex(str) {
	var val = '';
	try{
		for (var i = 0; i < str.length; i++) {
			if (val == "")
				val = str.charCodeAt(i).toString(16);
			else
				val += "" + str.charCodeAt(i).toString(16);
		}
	}catch(e){}
	return val;
}

//十六进制转字符串
function hexToString(str) {
	var arr = '';
	try{
		for (var i = 0; i < str.length; i += 2) {
			arr += eval('"' + "\\x" + str.substr(i, 2) + '"');
		}
	}catch(e){}
	return arr;
}


/**
 *摄氏转华氏度 
 * @param {Object} c
 */
function c_to_f(c){
	return (32 + c*1.8);
}

function f_to_c(f){
	return Math.round((f-32)*100/1.8)/100;
}

/**
 * 毫升转盎司 
 * @param {Object} c
 */
function ml_to_oz(ml){
	var oz = ml/30;
	if(oz<1){
		oz = Math.round(oz*10)/10;
	}else{
		oz = Math.round(oz);
	}
	return oz;
}

function oz_to_ml(oz){
	return oz*30;
}
function parse_capicity_text(cap_ml, is_ounce){
	return is_ounce?ml_to_oz(cap_ml): cap_ml;
}

/**
 *校正接收到的指令 
 */
function correct_cmd(str) {
  var start;
  var end;
  for (var i = 0; i < str.length; i++) {
    if (str.charAt(i) == '[') {
      start = i;
    }
    if (typeof start == 'number' && str.charAt(i) == ']') {
      end = i;
      break;
    }
  }
  if (typeof end == 'number') {
    return str.substring(start, end + 1);
  }
  return '';
}

/**
 * 发送统计数据 
 */
var UDP_SID;
function send_statistic_data(json_str){
	if(typeof json_str != 'string'){
		json_str = $api.jsonToStr(json_str);
	}
	var host = 'smart-monitor.smart-show.com';
	var port = 7000;
	var socketManager = api.require('socketManager');
	if(!UDP_SID){
		socketManager.createSocket({
			type:'udp',
		    host: host,
			port: port
		}, function(ret, err) {
		    if (ret) {
		    	UDP_SID = ret.sid;
		        socketManager.write({
				    sid: UDP_SID,
				    data: json_str,
				    host: host,
				    port: port
				}, function(ret, err) {
				});
		    }
//		    if(err){
//		    	alert(JSON.stringify(err));
//		    }
		});
	}else{
        socketManager.write({
		    sid: UDP_SID,
		    data: json_str,
		    host: host,
		    port: port
		}, function(ret, err) {
//			if(err){
//		    	alert(JSON.stringify(err));
//		    }
		});
	}
	
}

function get_system_info(){
	var system_info = {};
	
	system_info.app_id = api.appId;
	system_info.app_name = api.appName;
	system_info.app_version = api.appVersion;
	system_info.platform = api.systemType;
	system_info.system_version = api.systemVersion;
	system_info.apicloud_version = api.version;
	system_info.device_uuid = api.deviceId;
	system_info.device_model = api.deviceModel;
	system_info.operator = api.operator;
	system_info.connection_type = api.connectionType;
	system_info.screen_width = api.screenWidth;
	system_info.screen_height = api.screenHeight;
	system_info.channel = api.channel;

	return system_info;
}

function get_zero_timestamp(){
	var d = new Date();
    var year = d.getFullYear();
    var month = d.getMonth();
    var date = d.getDate();
	return Math.round(new Date(year,month,date,0,0,1).getTime()/1000);
}

function is_empty_object(e) {
	var t;
	for (t in e)
	return !1;
	return !0
}

function get_upload_drink_types(){
	var upload_drink_types = $api.strToJson($api.getStorage('upload_drink_types'));
	if($api.isArray(upload_drink_types)) return upload_drink_types;
	else return [];
}

function set_upload_drink_types(upload_drink_types){
	if(!$api.isArray(upload_drink_types)) upload_drink_types = [];
	$api.setStorage('upload_drink_types',$api.jsonToStr(upload_drink_types));
}

function set_http_drink_types(drink_types){
	if(!$api.isArray(drink_types) || drink_types.length==0){
		drink_types = get_upload_drink_types();
	}
	var user_info = config('user_info');
	if(user_info){
		if($api.isArray(drink_types) && drink_types.length>0){
			do_post('http://s2ble.smart-show.com/api/device/set_data/', {
		        smart_id: user_info.smart_id,
			    access_token: user_info.smart_access_token,
		        drink_type: encodeURI($api.jsonToStr(drink_types))
		    },function (ret, err){
		    	if(ret){
		    		set_upload_drink_types([]);
		    	}
		    });
		}
	}
}

/**
 *上传本地储存的数据 
 */
function upload_local_storage(){
	var user_info = config('user_info');
	if(user_info){
		var upload_drink_data = get_upload_drink_data();
		if(upload_drink_data.length>0){
			set_http_drink_data(user_info, upload_drink_data);
		}
	}
	
	set_http_drink_types();
}


/************************************************************* DEBUG START *********************************************************************/
var IS_STOP_TO_SEND = false;
function demo_test(){
//	if(!IS_DEBUG) return;
}

function jsonAlert(json){
	alert($api.jsonToStr(json));
}

function write_log(msg, flag){
	if(!IS_DEBUG)return;
	
	flag = flag?flag:'n';
	var color = 'black';
	switch(flag){
		case 'd':
			color = 'red';
		break;
		
		case 'i':
			color = '#1496ed';
		break;
	}
	msg = '<span style="color:'+color+'">'+msg+'</span>';
	
	var filePath = 'fs://data/debug_log.txt';
	api.writeFile({
        path:filePath,
        data:msg+'<br>',
        append:true
    },function(ret,err){
    });	
}

function read_log(){
	var filePath = 'fs://data/debug_log.txt';
    var strdata = api.readFile({
        sync:true,
        path:filePath
    });
    return strdata;
}

function clear_log(){
	var filePath = 'fs://data/debug_log.txt';
	api.writeFile({
        path:filePath,
        data:'',
        append:false
    },function(ret,err){
    });	
}
/************************************************************* DEBUG END *********************************************************************/