var _BLE_;
var _BLE_STATE_ = "disconnected";
var _BLE_IS_SCANNING_ = false;

var _BLE_DEVICE_UUID_ = '';
var _BLE_SERVICE_UUID_ = '';
var _BLE_CHARACTERISTIC_UUID_ = '';

var _BLE_REC_CALLBACK_ = function(){};
var _BLE_UPDATE_STATE_={
	is_update:0,
	data:[],
	send_num:0
};

core_check_ble_connect();

// 每3秒检测一次蓝牙连接状态
function core_check_ble_connect(){
	setTimeout(function(){core_check_ble_connect()}, 3000);
		if(_BLE_ && _BLE_DEVICE_UUID_){
			if(BLE_CONNECT_OPR == 'connect'){
				_BLE_.isConnected({
				    peripheralUUID: _BLE_DEVICE_UUID_
				}, function(ret) {
				    if (ret.status) {
				        if(_BLE_STATE_ == "disconnected"){
				        	write_log('-_BLE_STATE_2:'+_BLE_STATE_);
				        	start_connect_ble(_BLE_DEVICE_UUID_);
				        }else if(_BLE_STATE_ == "connected"){
				        	write_log('+_BLE_STATE_:'+_BLE_STATE_);
				        }
				    }else{
				    	_BLE_STATE_ = "disconnected";
				    	write_log('-_BLE_STATE_1:'+_BLE_STATE_, 'd');
				    	start_connect_ble(_BLE_DEVICE_UUID_);
				    }
				});
			}else{
				stop_connect_ble();
			}
		}
	
	
}

// 初始化蓝牙管理器
function init_ble_manager(){
	_BLE_.initManager(function(ret) {
	    if (ret.state == "poweredOn") {
	        if('' == _BLE_DEVICE_UUID_){
	        	_BLE_IS_SCANNING_ = true;
	        	ble_scan();
	        }else{
	        	ble_only_scan();
	        }
	        
	    }else if(ret.state == 'poweredOff'){
	    	_BLE_STATE_ = 'closed';
	    	setTimeout(function(){
	    		init_ble_manager();
	    	}, 1000);
	    }
	});
}

var BLE_SCAN_TIMES = 0;
function ble_only_scan(){
	BLE_SCAN_TIMES++;
	write_log('scanning...'+BLE_SCAN_TIMES);
	_BLE_.scan({
	    serviceUUIDs: [_BLE_SERVICE_UUID_]
	}, function(ret) {
	});
}

_BLE_WRITE_ERR_TIMES_ = 0;
function ble_write_date(str) {
	_BLE_.writeValueForCharacteristic({
		peripheralUUID : _BLE_DEVICE_UUID_,
		serviceUUID : _BLE_SERVICE_UUID_,
		characteristicUUID : _BLE_CHARACTERISTIC_UUID_,
		value : str
	}, function(ret, err) {
		if (ret.status) {
			_BLE_WRITE_ERR_TIMES_ = 0;
			if(_BLE_UPDATE_STATE_.is_update && _BLE_UPDATE_STATE_.num<4)
			{
				ble_write_date(_BLE_UPDATE_STATE_.data[_BLE_UPDATE_STATE_.num++]);
			}
		} else {
			write_log('-ble_write_data err!:' + err.code, 'd');
			_BLE_WRITE_ERR_TIMES_++;
			if(_BLE_WRITE_ERR_TIMES_>=2){
				_BLE_.disconnect({
				    peripheralUUID: _BLE_DEVICE_UUID_
				}, function(ret, err) {
				    if (ret.status) {
				    	_BLE_WRITE_ERR_TIMES_ = 0;
				        write_log("+disconnect ok");
				    }
				});
			}
		}
	});
}

function ble_discover_service(){
	_BLE_.discoverService({
	    peripheralUUID: _BLE_DEVICE_UUID_
	}, function(ret, err) {
	    if (ret.status) {
	    	write_log("+discoverService ok");
	        ble_discover_characteristics();
	    }else{
	    	write_log("-discoverService err!:" + err.code, 'd');
	    }
	});
}

function ble_discover_characteristics(){
	_BLE_.discoverCharacteristics({
	    serviceUUID:_BLE_SERVICE_UUID_,
	    peripheralUUID: _BLE_DEVICE_UUID_
	}, function(ret) {
	    if (ret.status) {
	    	write_log("+discoverCharacteristics ok");
	    	_BLE_STATE_ = 'connected';
	        ble_set_notify();
	        send_command_to_ble_device('["get_init"]');
	    }else {
	    	write_log("-discoverCharacteristics err!", 'd');
	    }
	});
}

function ble_set_notify(){
	_BLE_.setNotify({
        peripheralUUID: _BLE_DEVICE_UUID_,
        serviceUUID: _BLE_SERVICE_UUID_,
        characteristicUUID: _BLE_CHARACTERISTIC_UUID_
    },function(ret,err){
    	if (ret.status) {
			if(ret.characteristic.value!=''){
				var data_str = hexToString(ret.characteristic.value);
				write_log('<< notify: '+ data_str, 'i');
				_BLE_REC_CALLBACK_(data_str);
			}
		} else {
			write_log("-setNotify err!", 'd');
		}
    });
}

function ble_read_data(){
	write_log('ble_read_data...');
	if(_BLE_STATE_ == "connected"){
		_BLE_.readValueForCharacteristic({
		    peripheralUUID: _BLE_DEVICE_UUID_,
		    serviceUUID: _BLE_SERVICE_UUID_,
		    characteristicUUID: _BLE_CHARACTERISTIC_UUID_
		}, function(ret) {
		    if (ret.status && ret.characteristic && ret.characteristic.value!='') {
		        write_log('<< read: ' + hexToString(ret.characteristic.value), 'i');
		        ble_read_data();
		    }
		});
	}
}

/////////////////
// 以下是可调用的函数 //
/////////////////

function start_ble(mac){
	// 绑定设备
	_BLE_DEVICE_UUID_ = mac?mac:'';
	SYSYTEM_TYPE = api.systemType;
	if (SYSYTEM_TYPE == 'ios') {
		_BLE_SERVICE_UUID_ = "FEE0";
		_BLE_CHARACTERISTIC_UUID_ = "FEE1";
	} else if (SYSYTEM_TYPE == 'android') {
		_BLE_SERVICE_UUID_ = "0000fee0-0000-1000-8000-00805f9b34fb";
		_BLE_CHARACTERISTIC_UUID_ = "0000fee1-0000-1000-8000-00805f9b34fb";
	}
	_BLE_ = api.require('ble');
	init_ble_manager();
}

function ble_scan(){
	if(!_BLE_IS_SCANNING_) return;
	BLE_SCAN_TIMES++;
	write_log('scanning...'+BLE_SCAN_TIMES);
	_BLE_.scan({
	    serviceUUIDs: [_BLE_SERVICE_UUID_]
	}, function(ret) {
	    if (ret.status) {
	    	_BLE_.isScanning(function(ret,err) {
		    	if(ret.status){
		    		setTimeout(function(){
		    			ble_scan();
		    		}, 3000);
		    		get_ble_periphera();
		    	}else{
		    		ble_scan();
		    	}
		    });
	    }
	});
}

function ble_rescan(){
	_BLE_.stopScan();
}

// 获取外围设备
function get_ble_periphera(cb){
	_BLE_.getPeripheral(function(ret) {
        if (ret && (!is_empty_object(ret.peripherals))) {
			api.sendEvent({
			    name: 'show_pps',
			    extra: {
			        pps: ret.peripherals
			    }
			});
			typeof cb =='function' && cb(ret.peripherals);
		}else{
			get_ble_periphera(cb);
		}
	});
}

// 连接蓝牙设备
function start_connect_ble(device_id){
	BLE_SCAN_TIMES = 0;
	if(_BLE_STATE_ == 'disconnected'){
		_BLE_DEVICE_UUID_ = device_id;
		_BLE_STATE_ = 'connecting';
		write_log('start_connect_ble:'+device_id);
		_BLE_.connect({
			peripheralUUID : _BLE_DEVICE_UUID_
		}, function(ret, err) {
			if (ret.status) {
				write_log("+connect ok");
				ble_discover_service();
			} else {
				write_log("-connect err!:" + err.code, 'd');
				_BLE_STATE_ = 'disconnected';
			}
		});
	}
}

// 停止连接蓝牙设备
var BLE_CONNECT_OPR = 'connect';
function stop_connect_ble(){
	write_log("disconnecting...");
	_BLE_.disconnect({
	    peripheralUUID: _BLE_DEVICE_UUID_
	}, function(ret, err) {
	    if (ret.status) {
	    	_BLE_DEVICE_UUID_ = '';
	    	_BLE_IS_SCANNING_ = true;
	    	ble_scan();
	    	_BLE_STATE_ = 'disconnected';
	        write_log("disconnect success！");
	    }
	});
	if (SYSYTEM_TYPE == 'ios') {
		_BLE_.stopNotify();
	}
	if(BLE_SCAN_TIMES == 0){
		_BLE_IS_SCANNING_ = true;
		ble_scan();
	}
}

// 获取蓝牙连接状态
function get_ble_state(){
	return _BLE_STATE_;
}

function send_string_to_ble_device(cmd,is_update) {
	if(is_update)
	{
		_BLE_UPDATE_STATE_={
			is_update:1,
			data:cmd,
			num:0
			};
		ble_write_date(_BLE_UPDATE_STATE_.data[_BLE_UPDATE_STATE_.num++]);
	}
	else
	{
		ble_write_date(stringToHex(cmd));
	}
}

// 设置收到数据后的回调函数
function on_received_data(callback) {
	_BLE_REC_CALLBACK_ = callback;
}


//可以调用的函数
//get_ble_periphera
//ble_scan
//ble_rescan
//start_ble
//start_connect_ble
//stop_connect_ble
//get_ble_state
//send_string_to_ble_device
//on_received_data

