var DEBUG_MODE = 0;

var device_uuid_g = "";
var service_uuid_g = "0000fee0-0000-1000-8000-00805f9b34fb";
var characteristic_uuid_g = "0000fee1-0000-1000-8000-00805f9b34fb";

var ble_peripherals_g = [];
var ble_g = "";
var ble_t = "";

var ble_state_g = "disconnected";
//connecting,disconnected,connected,closed
var ble_errcode = 0;
//0-无错误， -1-设备在周围，连接不成功，-2-设备不在周围  ,-3-无设备ID
var ble_connecting = 0;
var ble_connect_times = 0;
var ble_disconnect_time = 0;

var ble_inited = 0;
var ble_need_stop = 0;

var ble_thread = 0;
var ble_time_count = 0;

var data_rec_callback = {};
var delay_stop_time = 120;

var write_errr_times = 0;

var SYSYTEM_TYPE;

var is_alerted = 0;

var update_state={
	is_update:0,
	data:[],
	send_num:0
	};
	

function init_service_id() {
	SYSYTEM_TYPE = api.systemType;
	//  alert(SYSYTEM_TYPE);
	if (SYSYTEM_TYPE == 'ios') {
		service_uuid_g = 'FEE0';
		characteristic_uuid_g = 'FEE1';
	} else if ('android') {
		service_uuid_g = '0000fee0-0000-1000-8000-00805f9b34fb';
		characteristic_uuid_g = '0000fee1-0000-1000-8000-00805f9b34fb';
	}
}

function init_ble() {
	ble_g.initManager(function(ret) {
		if (ret.state == "poweredOn") {
			ble_inited = 1;
			ble_state_reset();
			ble_start_scan();
		} else if (ret.state == "poweredOff") {
			ble_state_g = 'closed';
			//api.toast({msg : '请打开蓝牙！'});
		}
	});
}

function start_ble() {
	ble_need_stop = 0;
	if (ble_t == "") {
		ble_t = "inited";
		ble_g = api.require('ble');
		init_service_id();
		init_ble();
		ble_thread = setInterval(function() {
			ble_core_thread();
		}, 1000);
	}
	//log("start_ble",1);
}

function delay_stop_ble(delay_s) {
	write_log("delay_stop_ble:" + delay_s);
	if (delay_s) {
		delay_stop_time = delay_s;
	} else {
		delay_stop_time = 60;
	}
	ble_need_stop = 1;
	if (SYSYTEM_TYPE == 'ios') {
		stop_ble();
	}
}

function stop_ble() {
	is_alerted = 0;
	if (ble_t != "") {
		ble_t = "";
		ble_inited = 0;
		ble_state_reset();
		clearInterval(ble_thread);
		ble_g.disconnect({
			peripheralUUID : device_uuid_g
		}, function(ret, err) {
			if (ret.status) {
				//alert("断开连接成功！");
			} else {
				//alert("ble_disconnect:"+err.code);
			}
		});

	}
	write_log("stop_ble");
}

function ble_core_thread() {
	if (ble_need_stop == 1 && delay_stop_time-- < 0) {
		stop_ble();
	}
	if (ble_inited != 1) {
		init_ble();
	}
	if (ble_connecting == 1 && ble_state_g != 'closed') {
		if (ble_state_g == "disconnected") {
			if (ble_connect_times < 9) {
				ble_connect_times++;
				ble_connect();
			} else {
				ble_connect_times = 0;
				ble_re_scan();
			}
		} else if (ble_state_g != "connected") {
			if (ble_disconnect_time++ > 10) {
				ble_disconnect_time = 0;
				ble_state_reset();
			}
		}

	}
	//log("delay_stop_time:"+delay_stop_time);
}

function start_connect_ble(device_id) {
	device_uuid_g = device_id;
	ble_connecting = 1;
	fast_ble_connect();
	write_log("starting_connect:" + device_uuid_g);
}

function stop_connect_ble() {
	ble_connecting = 0;
	ble_disconnect();
	write_log("stop_connect_ble:" + device_uuid_g);
}

function ble_disconnect() {
	ble_state_reset();
	ble_g.isConnected({
		peripheralUUID : device_uuid_g
	}, function(ret) {
		if (ret.status) {
			ble_g.disconnect({
				peripheralUUID : device_uuid_g
			}, function(ret, err) {
				if (ret.status) {
					//alert("断开连接成功！");
				} else {
					write_log("startble_disconnect_connect_ble:" + err.code);
				}
			});

		}
	});

	if (SYSYTEM_TYPE == 'ios') {
		ble_g.stopNotify();
	}
	ble_start_scan();
}

function ble_connect() {
	if (device_uuid_g != "") {
		if (ble_dev_exist() == 1) {
			ble_state_g = "connecting";
			ble_g.connect({
				peripheralUUID : device_uuid_g
			}, function(ret, err) {
				if (ret.status) {
					discover_service();
					write_log("start_connect_ble ok");
				} else {
					write_log("start_connect_ble:" + err.code);
					ble_state_reset();
					ble_errcode = -1;
					ble_start_scan();
				}
			});
		} else {
			ble_errcode = -2;
			write_log("设备无法搜出");
		}
	} else {
		ble_errcode = -3;
	}
}

function fast_ble_connect() {
	if (ble_state_g == "connected")
		return;
	if (device_uuid_g != "") {
		ble_g.scan(function(ret) {
			if (ret.status) {
				ble_state_g = "connecting";
				ble_g.connect({
					peripheralUUID : device_uuid_g
				}, function(ret, err) {
					if (ret.status) {
						discover_service();
						write_log("start_connect_ble ok");
					} else {
						write_log("start_connect_ble:" + err.code);
						ble_state_reset();
						ble_errcode = -1;
						ble_start_scan();
					}
				});
			}
		});

	} else {
		ble_errcode = -3;
	}
}

function ble_dev_exist() {
	get_ble_periphera();
	for (peripheral in ble_peripherals_g) {
		if (ble_peripherals_g[peripheral].uuid == device_uuid_g) {
			return 1;
		}
	}
	return 0;
}

function discover_service() {
	ble_g.discoverService({
		peripheralUUID : device_uuid_g
	}, function(ret, err) {
		if (ret.status) {
			discover_characteristics();
		} else {
//			alert("discover_service:" + err);
			ble_state_reset();
			ble_errcode = -1;
		}
	});
}

function discover_characteristics() {
	ble_g.discoverCharacteristics({
		peripheralUUID : device_uuid_g,
		serviceUUID : service_uuid_g
	}, function(ret, err) {
		if (ret.status) {
			ble_state_g = "connected";
//			api.toast({
//				msg : '连接成功'
//			});
			ble_connect_times = 0;
			ble_errcode = 0;
			set_notify();
			sent_string_to_ble_device('["get_active"]');
			if (SYSYTEM_TYPE == 'android') {
				ble_stop_scan();
			}

		} else {
			//alert("discover_characteristics:"+err);
			ble_state_reset();
			ble_errcode = -1;
		}
	});

}

function set_notify() {
	ble_g.setNotify({
		peripheralUUID : device_uuid_g,
		serviceUUID : service_uuid_g,
		characteristicUUID : characteristic_uuid_g
	}, function(ret, err) {
		if(ble_state_g == 'connected'){
			write_log('notifying data...');
			if (ret.status) {
				if(ret.characteristic.value!=''){
					data_rec_callback(hexToString(ret.characteristic.value));
//					read_value();
				}
			} else {
				ble_state_reset();
				ble_errcode = -1;
			}
		}
	});
}

function read_value(){
	ble_g.readValueForCharacteristic({
	    peripheralUUID: device_uuid_g,
	    serviceUUID: service_uuid_g,
	    characteristicUUID: characteristic_uuid_g
	}, function(ret) {
		if(ble_state_g == 'connected'){
			write_log('reading data...');
		    if (ret.status) {
		    	if(ret.characteristic.value!=''){
		    		data_rec_callback(hexToString(ret.characteristic.value));
		    		read_value();
		    	}else{
		    		
		    	}
		    	
		    }
		}
	});
}

//function __ddfc(){
//	ble_g.discoverDescriptorsForCharacteristic({
//	    peripheralUUID: device_uuid_g,
//	    serviceUUID: service_uuid_g,
//	    characteristicUUID: characteristic_uuid_g
//	}, function(ret) {
//	    if (ret) {
//	        api.alert({ msg: JSON.stringify(ret) });
//	    }
//	});
//}

function isEmptyObject(e) {
	var t;
	for (t in e)
	return !1;
	return !0
}

function get_ble_periphera() {
	ble_g.isScanning(function(ret) {
		if (ret.status) {
			ble_g.getPeripheral(function(ret) {
				if (ret && (!isEmptyObject(ret.peripherals))) {
					ble_peripherals_g = ret.peripherals;
				}
			});
		} else {
			ble_start_scan();
		}
	});

	return ble_peripherals_g;
}

function ble_start_scan() {
	ble_g.scan(function(ret) {
		if (ret.status) {
			get_ble_periphera();
		}
	});
}

function ble_stop_scan() {
	ble_g.stopScan();
}

function ble_re_scan() {
	log("ble_re_scan");
	ble_g.stopScan();
	ble_peripherals_g = [];
	ble_g.scan(function(ret) {
		if (ret.status) {
			get_ble_periphera();
		}
	});
}

function get_ble_state() {
	return ble_state_g;
}

function ble_write_date(str) {
	write_log('---------------------:'+ble_state_g);
	ble_g.writeValueForCharacteristic({
		peripheralUUID : device_uuid_g,
		serviceUUID : service_uuid_g,
		characteristicUUID : characteristic_uuid_g,
		value : str
	}, function(ret, err) {
//		read_value();
		if (ret.status) {
			//api.toast({msg:'ble_write ok'});
			if(update_state.is_update && update_state.num<4)
			{
				ble_write_date(update_state.data[update_state.num++]);
			}

		} else {
			log('ble_write_date error:' + err.code);
			if (write_errr_times++ > 1) {
				write_errr_times = 0;
				ble_disconnect();
			}
		}
	});
}
function sent_string_to_ble_device(cmd,is_update) {
	if(is_update)
	{
		update_state={
			is_update:1,
			data:cmd,
			num:0
			};
		ble_write_date(update_state.data[update_state.num++]);
	}
	else
	{
		ble_write_date(stringToHex(cmd));
	}
}

function ble_state_reset(){
	ble_state_g = "disconnected";
}

// 字符串转16进制
function stringToHex(str) {
	var val = '';
	try {
		for (var i = 0; i < str.length; i++) {
			if (val == "")
				val = str.charCodeAt(i).toString(16);
			else
				val += "" + str.charCodeAt(i).toString(16);
		}
	} catch(e) {
	}
	return val;
}

//十六进制转字符串
function hexToString(str) {
	var arr = '';
	try {
		for (var i = 0; i < str.length; i += 2) {
			arr += eval('"' + "\\x" + str.substr(i, 2) + '"');
		}
	} catch(e) {
	}
	return arr;
}

function on_received_data(callback) {
	data_rec_callback = callback;
}

function log(str, is_alert) {
	if (DEBUG_MODE) {
		if (is_alert) {
			alert(str);
		} else {
			api.toast({
				msg : str
			});
		}
	}
}

//可以调用的函数

//get_ble_periphera
//ble_re_scan
//start_ble
//delay_stop_ble
//start_connect_ble
//stop_connect_ble
//get_ble_state
//sent_string_to_ble_device
//on_received_data

